StringTools (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.tools
Class StringTools

    java.lang.Object
      org.hibernate.envers.tools.StringTools

    public class StringTools

extends Object

Constructor Summary
`StringTools()`

Method Summary
`static void` | `append(StringBuilder sb, Iterator<String> contents, String separator)` To the given string builder, appends all strings in the given iterator, separating them with the given separator.
`static String` | `getLastComponent(String s)`
`static boolean` | `isEmpty(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringTools

    public StringTools()

Method Detail

### isEmpty

    public static boolean isEmpty(String s)

### getLastComponent

    public static String getLastComponent(String s)

  Parameters:
    `s` - String, from which to get the last component.
  Returns:
    The last component of the dot-separated string `s`. For example, for a string "a.b.c", the result is "c".

### append

    public static void append(StringBuilder sb,
                              Iterator<String> contents,
                              String separator)

  To the given string builder, appends all strings in the given iterator, separating them with the given separator. For example, for an interator "a" "b" "c" and separator ":" the output is "a:b:c".

  Parameters:
    `sb` - String builder, to which to append.
    `contents` - Strings to be appended.
    `separator` - Separator between subsequent content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.